{
  "name": "word-upload-api",
  "version": "1.0.0",
  "description": "Upload Word document and extract content",
  "main": "src/server.js",
  "type": "commonjs",
  "scripts": {
    "dev": "nodemon src/server.js",
    "start": "node src/server.js"
  },
  "dependencies": {
    "@napi-rs/canvas": "^0.1.98",
    "cors": "^2.8.5",
    "dotenv": "^16.4.5",
    "express": "^4.19.2",
    "mammoth": "^1.8.0",
    "multer": "^2.1.1",
    "mysql2": "^3.22.0",
    "openai": "^6.34.0",
    "pdf-parse": "^2.4.5",
    "pdfjs-dist": "5.4.296",
    "tesseract.js": "^7.0.0"
  },
  "devDependencies": {
    "nodemon": "^3.1.4"
  }
}
